# Generated by Django 3.2.13 on 2022-06-21 18:52

from django.db import migrations

TAB = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'

def update_case_note_indenting(apps, schema_editor):
    FamilyNote = apps.get_model('seqr', 'FamilyNote')
    db_alias = schema_editor.connection.alias

    notes =  FamilyNote.objects.using(db_alias).filter(note__contains=TAB)
    if notes:
        print(f'Updating {len(notes)} notes')
        for note in notes:
            note.note = note.note.replace(TAB, '* ')
        FamilyNote.objects.using(db_alias).bulk_update(notes, ['note'])
        print('Done')

class Migration(migrations.Migration):

    dependencies = [
        ('seqr', '0041_auto_20220502_1614'),
    ]

    operations = [
        migrations.RunPython(update_case_note_indenting, reverse_code=migrations.RunPython.noop),
    ]
