# Generated by Django 3.2.23 on 2024-03-13 19:39

from django.db import migrations, models


def clear_splice_outlier_data(apps, schema_editor):
    RnaSeqSpliceOutlier = apps.get_model('seqr', 'RnaSeqSpliceOutlier')
    db_alias = schema_editor.connection.alias
    RnaSeqSpliceOutlier.objects.using(db_alias).all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('seqr', '0060_alter_family_analysis_status'),
    ]

    operations = [
        migrations.RunPython(clear_splice_outlier_data, reverse_code=clear_splice_outlier_data),
        migrations.RenameField(
            model_name='rnaseqspliceoutlier',
            old_name='read_count',
            new_name='counts',
        ),
        migrations.RenameField(
            model_name='rnaseqspliceoutlier',
            old_name='delta_psi',
            new_name='delta_intron_jaccard_index',
        ),
        migrations.RenameField(
            model_name='rnaseqspliceoutlier',
            old_name='z_score',
            new_name='p_adjust',
        ),
        migrations.RenameField(
            model_name='rnaseqspliceoutlier',
            old_name='rare_disease_samples_with_junction',
            new_name='rare_disease_samples_with_this_junction',
        ),
        migrations.AddField(
            model_name='rnaseqspliceoutlier',
            name='mean_counts',
            field=models.FloatField(),
        ),
        migrations.AddField(
            model_name='rnaseqspliceoutlier',
            name='mean_total_counts',
            field=models.FloatField(),
        ),
        migrations.AddField(
            model_name='rnaseqspliceoutlier',
            name='total_counts',
            field=models.IntegerField(),
        ),
        migrations.RemoveField(
            model_name='rnaseqspliceoutlier',
            name='rank',
        ),
    ]
